# Generated from hoe-git-1.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name hoe-git

Name: rubygem-%{gem_name}
Version: 1.6.0
Release: 1%{?dist}
Summary: A set of Hoe plugins for tighter Git integration
License: MIT
URL: http://github.com/jbarnette/hoe-git
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(hoe) >= 3.7
# BuildRequires: rubygem(hoe) < 4
BuildArch: noarch

%description
A set of Hoe plugins for tighter Git integration. Provides tasks to
automate release tagging and pushing and changelog generation. I
expect it'll learn a few more tricks in the future.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.autotest
%{gem_instdir}/Manifest.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Rakefile

%changelog
* Tue Aug 24 2021 mockbuilder - 1.6.0-1
- Initial package
